Bug 235340 - security/strongswan: Minor port improvements
Summary: security/strongswan: Minor port improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-31 06:22 UTC by Jose Luis Duran
Modified: 2019-03-05 20:15 UTC (History)
1 user (show)

See Also:
strongswan: maintainer-feedback+


Attachments
Minor port improvements (2.02 KB, patch)
2019-01-31 06:22 UTC, Jose Luis Duran
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2019-01-31 06:22:39 UTC
Created attachment 201548 [details]
Minor port improvements

- Follow the same patching logic for swanctl.conf as the other config files.
- Silence warning: $strongswan_enable not properly set.
Comment 1 strongswan 2019-02-18 06:34:47 UTC
Happy with the minor update.
Comment 2 commit-hook freebsd_committer 2019-03-05 20:14:47 UTC
A commit references this bug:

Author: swills
Date: Tue Mar  5 20:14:18 UTC 2019
New revision: 494736
URL: https://svnweb.freebsd.org/changeset/ports/494736

Log:
  security/strongswan: Minor port improvements

  - Follow the same patching logic for swanctl.conf as the other config
    files.
  - Silence warning: $strongswan_enable not properly set.

  PR:		235340
  Submitted by:	Jose Luis Duran <jlduran@gmail.com>
  Approved by:	strongswan@Nanoteq.com (maintainer)

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/files/patch-src_swanctl_Makefile.in
  head/security/strongswan/files/strongswan.in
Comment 3 Steve Wills freebsd_committer 2019-03-05 20:15:35 UTC
Committed, thanks!